# -*- coding: utf-8 -*-b
import wx

from Synergy.Components.Share.Share import CreateStaticSizerWithControls

class ClientDataField:
	def __init__(self,parent=None):		
		self._ctrls={}				
		self._sizer=wx.BoxSizer(wx.VERTICAL)
		self.parent=parent		
		self._createClientDataField(self._sizer,parent)


	def _createClientDataField(self,sizer,parent):
		""" Creates name, surname, logins and pass fields and add them to the
		sizer        
		
		"""

		
		#self.parent.Bind(wx.EVT_COMBOBOX,self.OnPurchaser,self._ctrls['full_name'])
                
		labels=((u'Pełna Nazwa',1,0,1,0,wx.DefaultValidator,'full_name'),
                        (u'Identyfikator',1,0,1,0,wx.DefaultValidator,'identifier'),
                        (u'NIP',1,0,1,0,wx.DefaultValidator,'nip'),
                        (u'Regon',1,0,1,0,wx.DefaultValidator,'regon'),
                        (u'Nazwa Banku',1,0,1,0,wx.DefaultValidator,'bank_name'),
                        (u'Nr Rachunku',1,0,1,0,wx.DefaultValidator,'bank_account'),
                        (u'Miasto',1,0,1,0,wx.DefaultValidator,'city'),
                        (u'Kod pocztowy',1,0,1,0,wx.DefaultValidator,'zip'),
                        (u'Poczta',1,0,1,0,wx.DefaultValidator,'post'),
                        (u'Adres',1,0,1,0,wx.DefaultValidator,'address'),
                        (u'E-mail',1,0,1,0,wx.DefaultValidator,'email'),
                        (u'Telefon',1,0,1,0,wx.DefaultValidator,'tel')
                        )
                        
		podmiot=CreateStaticSizerWithControls(parent,self._ctrls,labels,u"Informacje o Kliencie")		
                
		typy = [u'Podmiot Gospodarczy', u'Osoba Fizyczna']		

		self._ctrls['type'] = wx.RadioBox(parent, -1, "Podmiotowość Gospodarcza", wx.DefaultPosition, wx.DefaultSize,
			typy, 2, wx.RA_SPECIFY_COLS	)        

		
		sizer.AddSizer(podmiot,0,flag=wx.GROW|wx.ALL,border=10)		
		sizer.Add(self._ctrls['type'],1,flag=wx.GROW|wx.ALL,border=10)

        def ShowData(self,data):
		supportedKeys=self._ctrls.keys()
		for k in data.keys():
			if k in supportedKeys:                            
                            if k=='type':					
                                self._ctrls[k].SetSelection(data[k])					
                            else:
                                self._ctrls[k].SetValue(data[k])
		
	def GetData(self):
		""" Reads alternated user data and returns it in dictionary

		"""
		reads={}		
		for k in self._ctrls.keys():
			if k=='type':
				reads[k]=self._ctrls[k].GetSelection()				
			else:
				reads[k]=self._ctrls[k].GetValue()

		return reads


	def GetSizer(self):
		return self._sizer
